Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability
Class RootOA

    java.lang.Object
      com.arjuna.orbportability.OA
          com.arjuna.orbportability.RootOA

public class RootOA
extends OA

RootOA class which represents a RootPOA

Author:
  Richard Begg (richard_begg@hp.com)

Field Summary
`static java.lang.String` | `DEFAULT_ROOT_NAME`

Fields inherited from class com.arjuna.orbportability.OA
`_defaultAdapterName, _oaName, _postOAInitProperty, _postOAShutdown, _preOAInitProperty, _preOAShutdown`

Method Summary
`org.omg.CORBA.Object` | `corbaReference(org.omg.PortableServer.Servant obj)`
`void` | `destroy()` Destroy this root POA and all of its children
`boolean` | `objectIsReady(org.omg.PortableServer.Servant obj)`
`boolean` | `objectIsReady(org.omg.PortableServer.Servant obj, byte[] id)` Register the object with the ORB.
`boolean` | `shutdownObject(org.omg.CORBA.Object obj)` Dispose of the object, i.e., unregister it from the ORB.
`boolean` | `shutdownObject(org.omg.PortableServer.Servant obj)`

Methods inherited from class com.arjuna.orbportability.OA
`addAttribute, addPostShutdown, addPreShutdown, corbaReference, createPOA, getAssociatedORB, getRootOA, init, initOA, initOA, initPOA, initPOA, performPostInit, performPostSet, performPreInit, poa, rootPoa, run, run, setPOA, setPoa`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ROOT_NAME

    public static final java.lang.String DEFAULT_ROOT_NAME

See Also:
  Constant Field Values

Method Detail

### destroy

    public void destroy()
                 throws org.omg.CORBA.SystemException

  Destroy this root POA and all of its children

  Specified by:
    `destroy` in class `OA`
  Throws:
    `org.omg.CORBA.SystemException`

### corbaReference

    public org.omg.CORBA.Object corbaReference(org.omg.PortableServer.Servant obj)

  Specified by:
    `corbaReference` in class `OA`
  Returns:
    a CORBA object reference for the Servant/Implementation.

### objectIsReady

    public boolean objectIsReady(org.omg.PortableServer.Servant obj,
                                 byte[] id)
                          throws org.omg.CORBA.SystemException

  Description copied from class: `OA`
  Register the object with the ORB.

  Specified by:
    `objectIsReady` in class `OA`
  Throws:
    `org.omg.CORBA.SystemException`

### objectIsReady

    public boolean objectIsReady(org.omg.PortableServer.Servant obj)
                          throws org.omg.CORBA.SystemException

  Specified by:
    `objectIsReady` in class `OA`
  Throws:
    `org.omg.CORBA.SystemException`

### shutdownObject

    public boolean shutdownObject(org.omg.CORBA.Object obj)

  Description copied from class: `OA`
  Dispose of the object, i.e., unregister it from the ORB.

  Specified by:
    `shutdownObject` in class `OA`

### shutdownObject

    public boolean shutdownObject(org.omg.PortableServer.Servant obj)

  Specified by:
    `shutdownObject` in class `OA`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD